Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 234436 - Review Request: glchess - GlChess, a 3d Chess game using OpenGL
Summary: Review Request: glchess - GlChess, a 3d Chess game using OpenGL
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mamoru TASAKA
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-29 08:14 UTC by Hans de Goede
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-08 06:44:04 UTC
mtasaka: fedora-review+
jwboyer: fedora-cvs+


Attachments (Terms of Use)
mock build log of glchess-1.0.4-1 on FC-devel i386 (deleted)
2007-04-04 16:54 UTC, Mamoru TASAKA
no flags Details

Description Hans de Goede 2007-03-29 08:14:42 UTC
Spec URL: http://people.atrpms.net/~hdegoede/glchess.spec
SRPM URL: http://people.atrpms.net/~hdegoede/glchess-1.0.4-1.fc7.src.rpm
Description:
A very nice Chess game using OpenGL.

Note to reviewers, glchess has been made part of gnome-games-2.18, thus this package is only intended for FC-6, you can review it on devel, but then you must remove gnome-games before installing this.

Also this requires pygtkglext, review bug 234121 and PyOpenGL, review bug 234122

Comment 1 Mamoru TASAKA 2007-04-02 17:08:24 UTC
( I would appreciate it if you would wait my review for
  about 2-3 days.... )

Comment 2 Mamoru TASAKA 2007-04-04 16:54:36 UTC
Created attachment 151678 [details]
mock build log of glchess-1.0.4-1 on FC-devel i386

Well, for 1.0.4-1:

* BuildRequires
  - mockbuild failed. At least desktop-file-utils is missing
    for BuildRequires.

* Executable permissions/shebang
--------------------------------------------
# make rpmlint happy
chmod +x $RPM_BUILD_ROOT%{python_sitelib}/%{name}/scene/opengl/png.py \
  $RPM_BUILD_ROOT%{python_sitelib}/%{name}/gtkui/__init__.py
--------------------------------------------
  - IMO the resolution should be opposite.

* GConf files
--------------------------------------------
%config(noreplace) %{_sysconfdir}/gconf/schemas/glchess.schemas
--------------------------------------------
  - Well, while I cannot find any wiki packages, however I am
    sure that GConf schemas files under /etc/gconf/schemas is
    generally _not_ regarded as config file and should not
    marked as %config (even if rpmlint complains about it).

* Some python related dependency
  - Well, would you check the following import sentence?
    * import Image (from opengl/texture.py: Perhaps python-imaging
      It seems that "Packages" link from http://glchess.sourceforge.net/
      requires it)

Comment 3 Hans de Goede 2007-04-06 07:11:06 UTC
(In reply to comment #2)
> Created an attachment (id=151678) [edit]
> mock build log of glchess-1.0.4-1 on FC-devel i386
> 
> Well, for 1.0.4-1:
> 
> * BuildRequires
>   - mockbuild failed. At least desktop-file-utils is missing
>     for BuildRequires.
> 
Fixed

> * Executable permissions/shebang
> --------------------------------------------
> # make rpmlint happy
> chmod +x $RPM_BUILD_ROOT%{python_sitelib}/%{name}/scene/opengl/png.py \
>   $RPM_BUILD_ROOT%{python_sitelib}/%{name}/gtkui/__init__.py
> --------------------------------------------
>   - IMO the resolution should be opposite.
> 

Fixed for one of the 2 files, the other can be executed stand alone

> * GConf files
> --------------------------------------------
> %config(noreplace) %{_sysconfdir}/gconf/schemas/glchess.schemas
> --------------------------------------------
>   - Well, while I cannot find any wiki packages, however I am
>     sure that GConf schemas files under /etc/gconf/schemas is
>     generally _not_ regarded as config file and should not
>     marked as %config (even if rpmlint complains about it).
> 

Fixed

> * Some python related dependency
>   - Well, would you check the following import sentence?
>     * import Image (from opengl/texture.py: Perhaps python-imaging
>       It seems that "Packages" link from http://glchess.sourceforge.net/
>       requires it)

python-imaging is not required, it will fallback to an alternative png loading
routine if python-imageging is not installed, and all the included textures are
png, so that will work fine:
        try:
            self.__loadPIL(fileName)
        except ImportError:
            self.__loadPNG(fileName)


New version here:
Spec URL: http://people.atrpms.net/~hdegoede/glchess.spec
SRPM URL: http://people.atrpms.net/~hdegoede/glchess-1.0.4-2.fc7.src.rpm


Comment 4 Mamoru TASAKA 2007-04-06 15:33:17 UTC
Okay.

---------------------------------------------
  This package (glchess) is APPROVED by me.
---------------------------------------------

Comment 5 Hans de Goede 2007-04-06 19:01:19 UTC
New Package CVS Request
=======================
Package Name:      glchess
Short Description: 3d Chess game using OpenGL
Owners:            j.w.r.degoede@hhs.nl
Branches:          FC-6
InitialCC:         <empty>

Notice this package is intended for FC-6 only in devel this has been integrated
into gnome-games, still I would like to release this for FC-6 as there have been
several specific packaging requests for this package.



Comment 6 Mamoru TASAKA 2007-04-08 06:09:41 UTC
Hans, if you have some time (if you are busy, it is okay)
I would appreciate it if you put some comments about #ifdef
macro in header files for the HippoDraw review request
(bug 208034) I am currently reviewing.

Comment 7 Hans de Goede 2007-04-08 06:44:04 UTC
Thanks for the review!

Imported and build, closing.



Note You need to log in before you can comment on or make changes to this bug.